org.fourthline.cling.support.model

## Class DescMeta<M>

- java.lang.Object
- - org.fourthline.cling.support.model.DescMeta<M>

-     public class DescMeta<M>
      extends Object

  Descriptor metadata about an item/resource.

       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <any namespace='##other'/>
             </sequence>
             <attribute name="id" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="type" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="nameSpace" use="required" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `id`
    `protected M` | `metadata`
    `protected URI` | `nameSpace`
    `protected String` | `type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DescMeta()`
    `DescMeta(String id, String type, URI nameSpace, M metadata)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Document` | `createMetadataDocument()`
    `String` | `getId()`
    `M` | `getMetadata()`
    `URI` | `getNameSpace()`
    `String` | `getType()`
    `void` | `setId(String id)`
    `void` | `setMetadata(M metadata)`
    `void` | `setNameSpace(URI nameSpace)`
    `void` | `setType(String type)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### id

          protected String id

    - #### type

          protected String type

    - #### nameSpace

          protected URI nameSpace

    - #### metadata

          protected M metadata

  - ### Constructor Detail

    - #### DescMeta

          public DescMeta()

    - #### DescMeta

          public DescMeta(String id,
                          String type,
                          URI nameSpace,
                          M metadata)

  - ### Method Detail

    - #### getId

          public String getId()

    - #### setId

          public void setId(String id)

    - #### getType

          public String getType()

    - #### setType

          public void setType(String type)

    - #### getNameSpace

          public URI getNameSpace()

    - #### setNameSpace

          public void setNameSpace(URI nameSpace)

    - #### getMetadata

          public M getMetadata()

    - #### setMetadata

          public void setMetadata(M metadata)

    - #### createMetadataDocument

          public Document createMetadataDocument()

Copyright © 2016 4th Line GmbH, Switzerland. All rights reserved.